Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:52 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:52 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 4:53 PM
ctetreau updated this revision to Diff 254600.Apr 2 2020, 12:39 PM

Update to mention that this is NFC

kparzysz accepted this revision.Apr 3 2020, 8:47 AM
This revision is now accepted and ready to land.Apr 3 2020, 8:47 AM
efriedma accepted this revision.Apr 3 2020, 11:40 AM

LGTM with one minor suggestion.

llvm/lib/Target/Hexagon/HexagonISelLowering.cpp
1090

ConstantVector::getType() actually returns a VectorType; the cast<> isn't necessary.

This revision was automatically updated to reflect the committed changes.